#include <iostream>

using namespace std;

int main()
{
    long long int n,zb=0;
    cin >> n;
    long long int x[n], y[n], z[n];
    for(long long int i =0;i<n;i++)
        cin >> x[i];
    for(long long int i =0;i<n;i++)
        cin >> y[i];
    for(long long int i =0;i<n;i++)
        cin >> z[i];

    for(long long int i =0;i<n;i++)
    {
        long long int l[n],bl=-1,g=0;
        for(long long int a =0;a<n;a++)
        {
            if(x[i]==y[a])
            {
                bl++;
                l[bl]=a+1;
            }
        }

        if(bl!=-1)
        {
            for(long long int a =0;a<=bl;a++)
                for(long long int j =0;j<n;j++)
                    {
                        if(l[a]==z[j])
                            zb++;
                    }
        }


    }



    cout << zb << endl;
    return 0;
}